# Copyright (c) 2018  Dave Love, University of Manchester
# Licence as for the package itself

Name:		spectral
Version:	3.4.1
Release:	3%{?dist}
Summary:	Signal processing to select representative regions from Paraver traces
License:	GPLv3
URL:		https://github.com/bsc-performance-tools/spectral
Source0:	https://ftp.tools.bsc.es/spectral/spectral-%version-src.tar.bz2
BuildRequires:	libbsctools-devel fftw-devel zlib-devel chrpath gcc-c++

%description
Signal processing techniques to select representative regions from Paraver
traces.

%package devel
Summary:	Development files for %name
Requires:	%name%{?_isa} = %version-%release
Requires:	fftw-devel%{?_isa} libbsctools-devel%{?_isa}

%description devel
Development  files for %name.

%prep
%setup -q


%build
%configure --enable-openmp --with-fft=/usr --with-libbsctools=/usr
%make_build


%install
%make_install
chrpath -d %buildroot%_bindir/{signal-analysis,trace-analysis,csv-analysis,compare-signals}


%ldconfig_scriptlets

%files
%license COPYING
%_bindir/compare-signals
%_bindir/csv-analysis
%_bindir/plot-signal
%_bindir/signal-analysis
%_bindir/trace-analysis
%exclude %_libdir/libspectral.*a
%_libdir/libspectral.so.0
%_libdir/libspectral.so.0.0.0

%files devel
%_includedir/spectral-api.h
%_libdir/libspectral.so


%changelog
* Sun Nov 11 2018 Dave Love <loveshack@fedoraproject.org> - 3.4.1-3
- Don't use extrae, to be able to build extrae with spectral

* Sun Nov 11 2018 Dave Love <loveshack@fedoraproject.org> - 3.4.1-2
- Rebuild against current paraver

* Wed Jun 20 2018  <loveshack@fedoraproject.org> - 
- Initial packaging
